FireSign Dyamic Digital Signage system requirements FireSign System Requirements

FireSign Dyamic Digital Signage system administration System Administration

You can administer your FireSign account and create content using a web browser on Mac OS X, Windows XP SP3, or Windows 7.

Supported web browsers are:

  • Google Chrome - version 19 or newer
  • Apple Safari - version 5 or newer
  • Microsoft Internet Explorer - version 9 or newer
  • Mozilla Firefox - version 13 or newer
The FireSign Layout Application requires Microsoft Windows XP SP3 or Windows 7 and Java 6 Update 32, which is downloadable from your FireSign Account.

 

FireSign Dyamic Digital Signage player PCs Player PCs

  • Intel Core 2 Duo, Core i5 or Core i7; 2.0 GHz or better (NOTE: FireSign does not support Intel Atom processors, nor similar low-powered processors.)
  • 4 GB RAM or better
  • 40 GB Hard Drive or larger. SSD preferred
  • Integrated Graphics Chipset, 256 MB or better
  • NIC 10/100 or 10/100/1000
  • Microsoft® Windows® 7 Professional
  • USB 2.0 (Hi-Speed) Ports

Video card(s) must be capable of driving connected display(s) at their native resolution. Most current flat panel displays utilize digital signal paths. To take full advantage of the high quality of this digital connection, a digital cable standard such as DVI should be used instead of traditional VGA cabling. FireSign Player software supports all current make and model DVI, HDMI or VGA displays.

Note: Use of HD video may require more powerful hardware, and certain FireSign Applications have specific screen resolution requirements. Please contact us for more information.